#include <iostream>

using namespace std;

int main(int argc, char const *argv[]) {

    unsigned long long N, L, x;
    int resenje = -1;

    cin >> N;
    cin >> L;

    unsigned long long niz[N];

    for(int i = 0;i < N;i++){
        cin >> niz[i];
    }

    for(int i = 0;i < N;i++){
        if(niz[i] <= L) {
            resenje = i + 1;
            break;
        }
    }

    cout << resenje;

    return 0;
}